Page Summary
-
The monitorLandscape method allows you to monitor landscape data at a given geographical location using a POST request.
-
The request body requires a
locationSpecifierobject to specify the location of the monitored landscape. -
The response body contains a
monitoredLandscapeobject which includes the data version and the landscape data in GeoJSON format.
Monitor landscape data at a given geographical location.
HTTP request
POST https://agriculturalunderstanding.googleapis.com/v1:monitorLandscape
The URL uses gRPC Transcoding syntax. To know more about valid error responses that can be thrown by this HTTP request, please refer to the service error catalog
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "locationSpecifier": { object ( |
| Fields | |
|---|---|
locationSpecifier |
Required. The location specifier of the monitored landscape. |
dataVersion |
Optional. The version of the data. If not specified, the default version will be returned. |
Response body
Response message for v1.monitorLandscape method.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"monitoredLandscape": {
object ( |
| Fields | |
|---|---|
monitoredLandscape |
The monitored landscape data. |
MonitoredLandscape
MonitoredLandscape data.
| JSON representation |
|---|
{
"dataVersion": {
object ( |
| Fields | |
|---|---|
dataVersion |
The version of the data. |
geojson |
The monitored landscape data as a GeoJSON string. |